<?php
$string = 'Jak się masz?';
if (str_contains($string, 'się')) { 
    echo 'OK (zawiera się)'.PHP_EOL;
}
if (str_starts_with($string, 'Jak')) { 
    echo 'OK (rozpoczyna się)'.PHP_EOL;
}
if (str_ends_with($string, 'masz?')) { 
    echo 'OK (kończy się)'.PHP_EOL;
}